/*******************************************************************************
Filename:       hal_mcu.h

Autor:          Onur Kayikci
                Texas Instruments Freising, Germany
Datum:          19.11.2009

Description:    This file contains the MSP430 device specific configurations.

Processor:      MSP430F5529

*******************************************************************************/

#ifndef HAL_MCU_H
#define HAL_MCU_H

#include "hal_types.h"

/**************************************************************************************************
 *                                          INCLUDES
 **************************************************************************************************/


/**************************************************************************************************
 *                                         CONSTANTS
 **************************************************************************************************/


#define SYSCLK_1MHZ             0
#define SYSCLK_4MHZ             1
#define SYSCLK_8MHZ             2
#define SYSCLK_12MHZ            3
#define SYSCLK_16MHZ            4
#define SYSCLK_18MHZ            5
#define SYSCLK_20MHZ            6
#define SYSCLK_25MHZ            7

#define DCO_MULT_1MHZ           30
#define DCO_MULT_4MHZ           122
#define DCO_MULT_8MHZ           244
#define DCO_MULT_12MHZ          366
#define DCO_MULT_16MHZ          488
#define DCO_MULT_18MHZ          549
#define DCO_MULT_20MHZ          610
#define DCO_MULT_25MHZ          763

#define DCORSEL_1MHZ            DCORSEL_2
#define DCORSEL_4MHZ            DCORSEL_3
#define DCORSEL_8MHZ            DCORSEL_4
#define DCORSEL_12MHZ           DCORSEL_5
#define DCORSEL_16MHZ           DCORSEL_5
#define DCORSEL_18MHZ           DCORSEL_5
#define DCORSEL_20MHZ           DCORSEL_6
#define DCORSEL_25MHZ           DCORSEL_7

#define VCORE_1MHZ              PMMCOREV_2
#define VCORE_4MHZ              PMMCOREV_2
#define VCORE_8MHZ              PMMCOREV_2
#define VCORE_12MHZ             PMMCOREV_2
#define VCORE_16MHZ             PMMCOREV_2
#define VCORE_18MHZ             PMMCOREV_2
#define VCORE_20MHZ             PMMCOREV_2
#define VCORE_25MHZ             PMMCOREV_3









/**************************************************************************************************
 *                                          MACROS
 **************************************************************************************************/


/**************************************************************************************************
 *                                         TYPEDEFS
 **************************************************************************************************/


/**************************************************************************************************
 *                                     GLOBAL VARIABLES
 **************************************************************************************************/


/**************************************************************************************************
 *                                     FUNCTIONS - API
 **************************************************************************************************/

/*
 * Initialize Clock
 */
extern void Mcu_Clock_Init(void);

/*
 * Initialize System Clock
 */

extern void halBoardSetSystemClock(unsigned char systemClockSpeed);


/*
 * Initialize SPI Connection
 */
extern void SPI_A0_Init(void);



/*
  * Send_Data through A0 SPI Connection 
  */
extern void SPI_A0_Send_Data(uint8* DATA, uint8 i);


/**************************************************************************************************
**************************************************************************************************/


#endif